GET V1/PaymentsMaster.{ext}/VendorCorrespondenceAddress?vendorId={vendorId}&pageIndex={pageIndex}&pageSize={pageSize}
Returns Vendor Correspondence Addresses
Mandatory Fileds: VendorId
Optional Fileds : N/A
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| vendorId |
This is vendorId. |
string |
Required |
| pageIndex |
Indicates how many records to skip . |
integer |
Default value is 0 |
| pageSize |
Indicates number of records to be returned. |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
List of Vendor Correspondence Addresses based on action to perform.
EMSResponseOfEMS.Payments.Entities.VendorCorrespondenceAddresses| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.VendorCorrespondenceAddresses |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "VendorCorrespondenceAddresses",
"response": {
"vendorCorrespondenceAddressList": [
{
"vendorId": 1,
"correspondenceId": 1,
"contactPerson": "sample string 1",
"contactNumber": "sample string 2",
"address1": "sample string 3",
"address2": "sample string 4",
"email": "sample string 5",
"city": "sample string 6",
"state": "sample string 7",
"zip": "sample string 8",
"country": "sample string 9"
},
{
"vendorId": 1,
"correspondenceId": 1,
"contactPerson": "sample string 1",
"contactNumber": "sample string 2",
"address1": "sample string 3",
"address2": "sample string 4",
"email": "sample string 5",
"city": "sample string 6",
"state": "sample string 7",
"zip": "sample string 8",
"country": "sample string 9"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.